# Contributing to client-go

We LOVE your input! We want to make contributing to this project as easy and transparent as possible, whether it's:

- Reporting a bug
- Submitting a fix
- Proposing a new feature
- Discussing the current state of the code
- Becoming a maintainer

## Submitting Pull Request

Pull Requests are the best way to propose changes to codebase. We actively welcome your Pull Requests.

If you are contributing to an open source project for the first time, please read the [detailed how-to guide](https://github.com/firstcontributions/first-contributions).

It is important to note that we enforces the [Developer Certificate of Origin](https://developercertificate.org/) (DCO) on Pull Requests. Please read [more about how it works](https://github.com/apps/dco).

## Reporting issues

We use GitHub to track public bugs and issues. Report an issue by [opening a new issue](https://github.com/tikv/client-go/issues/new).

**Great Bug Reports** tend to have:

- A quick summary and/or background
- Steps to reproduce
  - Be specific!
  - Give sample code if you can
- What you expected would happen
- What actually happens
- Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)

If you tend to use Chinese to propose issues, [asktug](https://asktug.com/) is also a good choice.

